{===============================================================================
EtwAbout Unit

This unit defines the TEtWAboutBoxProperty editor and the corresponding
form that is displayed when invoked.


{==============================================================================}


unit EtWAbout;

interface

uses
  Messages, WinTypes, WinProcs, Classes, Graphics, Forms, Controls, 
  StdCtrls, ExtCtrls, Buttons, DsgnIntf;


type

  TEtWAboutInfo = ( aiEtWComponents );

  TEtWAboutBoxProperty = class( TPropertyEditor )
    public
      procedure Edit; override;
      function GetAttributes: TPropertyAttributes; override;
      function GetValue: string; override;
  end;


  TEtWAboutEditDlg = class( TForm )
      Panel1     : TPanel;
      btnOk      : TBitBtn;
      Label1     : TLabel;
      lblVersion : TLabel;
      Label3     : TLabel;
      Label4     : TLabel;
      Label5     : TLabel;
      Label6     : TLabel;
      procedure FormShow(Sender: TObject);
    private
    public
  end;


  //procedure Register;

implementation

{$R *.DFM}

uses
  SysUtils, DBScrollBox;

{=================================}
{== TEtWAboutBoxProperty Methods ==}
{=================================}

function TEtWAboutBoxProperty.GetAttributes: TPropertyAttributes;
begin
  Result := [ paDialog, paReadOnly ];
end;


function TEtWAboutBoxProperty.GetValue: string;
begin
  Result := 'Press ... to Display';
end;


procedure TEtWAboutBoxProperty.Edit;
var
  Dialog : TEtWAboutEditDlg;
begin
  Dialog := TEtWAboutEditDlg.Create( Application );
  try
    Dialog.ShowModal;
  finally
    Dialog.Free;
  end;
end;



{========================}
{== Register Procedure ==}
{========================}
{
procedure Register;
begin
  RegisterPropertyEditor( TypeInfo(TEtWAboutInfo), nil, 'About',
                          TEtWAboutBoxProperty);
end;
}



procedure TEtWAboutEditDlg.FormShow(Sender: TObject);
begin
  lblVersion.caption := DBScrollBox.VERSION;
end;

end.

